Subject: [rfc-i] Referencing IANA registries

From: Adrian Hope-Bailie <[email-masked]>
Date: Fri, 16 Dec 2016 15:13:33 -0800

Hi,

I can't seem to find instructions on the correct way to reference an
existing IANA registry in an RFC. How is this supposed to be done?

For example RFC 4147 has the following references:

   [iana-ipv6-registry]  IANA, "IANA IPv6 Address Registry",
                         December 2004.

   [iana-ipv6-tla]       IANA, "IANA Registry of IPv6 Top Level
                         Aggregation Identifier Assignments",
                         December 2004.

But there is no specification of those formats.

Adrian
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 17 Dec 2016 13:23:26 +1300

> But there is no specification of those formats.

Answer 1: When I hit one of these, I go to http://www.iana.org/protocols
and search within the page. But it isn't black and white; the first one doesn't
exist today under that name. Probably this:
http://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xhtml

(I sincerely hope you are not really trying to use the highly obsolete TLA format.)

Answer 2: Some RFCs now cite the relevant URLs. For example, RFC 7217 cites:

   [IANA-RESERVED-IID]
              IANA, "Reserved IPv6 Interface Identifiers",
              <http://www.iana.org/assignments/ipv6-interface-ids>.

I think this is a Good Idea and should be done whenever possible.

    Brian

---

From: Adrian Hope-Bailie <[email-masked]>
Date: Fri, 16 Dec 2016 16:34:07 -0800

Thanks, I was looking for something like Answer 2.

Where does the reference title ( [IANA-RESERVED-IID] ) come from in that
instance?
Should I just make something up that looks sensible?

Those references were just examples I found online, the registries I want
to reference are the "Named Information Hash Algorithm Registry" and "Named
Information URI Parameter Definitions" which (to make things more complex)
are both at the same URL:
https://www.iana.org/assignments/named-information/named-information.xhtml

On 16 December 2016 at 16:23, Brian E Carpenter <[email-masked]
> wrote:

---

From: Joe Touch <[email-masked]>
Date: Fri, 16 Dec 2016 16:37:52 -0800

On 12/16/2016 4:23 PM, Brian E Carpenter wrote:
> ...

That's what we did in RFC6335:

   [PORTREG]         Internet Assigned Numbers Authority (IANA),
                                 "Service Name and Transport Protocol
Port Number
                                 Registry",
                                
<http://www.iana.org/assignments/port-numbers>.

I don't think there's any useful convention for the citation label.

Joe

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 17 Dec 2016 09:18:20 +0100

> I don't think there's any useful convention for the citation label.

If we want to automate this from an authoring tool, I’d probably use the label

[IANA.SERVICE-NAMES-PORT-NUMBERS]

then lower-case the part after IANA, fetch

http://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xml

and then build the References entry from '/registry/title/text()’ and that URI after removing the last path component.

Would that be a useful addition to an authoring tool?

(I’m not sure what to make of the fact that this particular registry appears to have an alias; I’d rather use the official names.)

Grüße, Carsten

---

From: Joe Touch <[email-masked]>
Date: Sat, 17 Dec 2016 00:34:09 -0800

Most of the time we probably should be citing the RFC that created the registry, rather than the registry itself.

> On Dec 17, 2016, at 12:18 AM, Carsten Bormann <[email-masked]> wrote:
> 

I don't understand what you're building.  I thought the reference was to the table, not an entry. 

> (I’m not sure what to make of the fact that this particular registry appears to have an alias; I’d rather use the official names.)

It's one of the few with a searchable index.

Joe

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 17 Dec 2016 13:23:23 +0100

> I don't understand what you're building.  I thought the reference was to the table, not an entry. 

Yes.  A tool that tries to automate this would want to find the “title” attribute for the reference automatically, and that is easily found from /registry/title/text() in the xml file.  (Yes, it is a bit weird to have to pull the entire registry to find its title.)

Grüße, Carsten

---

From: Joe Touch <[email-masked]>
Date: Sat, 17 Dec 2016 10:27:34 -0800

Hi, Carsten,

The list of registries by name is here:

http://www.iana.org/protocols

Those However, I think what you want is something a little more compact
than many of those names, as well as to maintain the grouping there.

When you pull the registries themselves to find their "title" attribute,
you aren't getting anything more useful. In fact, the URL you gave lists
the entire ports database, not just the page that comes up with the link
I provided (which is the customer-facing access page to that database,
which is much smaller).

IMO, it might be more useful to ask IANA to make a "registry of
registries" for this purpose - with both their long name and a useful
citation name.

Remember, they work with us anyway. We don't need to treat them as opaque.

Joe